Imports System.Data.OleDb

Public Class UnitPrice
    Dim PricesConnection As OleDbConnection
    Dim PriecesCommand As OleDbCommand
    Dim PricesAdapter As OleDbDataAdapter
    Dim PricesTable As New DataTable
    Dim PricesManager As CurrencyManager
    Private Sub PriceBindingNavigatorSaveItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs)

    End Sub

    Private Sub Form2_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        'TODO: This line of code loads data into the 'PricesDataSet.Price' table. You can move, or remove it, as needed.
        Me.PriceTableAdapter.Fill(Me.PricesDataSet.Price)
        PricesTextBox.Text = FormatNumber(PricesTextBox.Text)

    End Sub

    Private Sub PriceBindingNavigatorSaveItem_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles PriceBindingNavigatorSaveItem.Click
        Me.Validate()
        Me.PriceBindingSource.EndEdit()
        Me.TableAdapterManager.UpdateAll(Me.PricesDataSet)

    End Sub
End Class